CUDA Runtime API Specific Functions(3)

NAME
CUDA Runtime API Specific Functions -

  Functions
static inline int hwloc_cudart_get_device_pci_ids (hwloc_topology_t topology , int device, int *domain, int *bus, int *dev)
static inline int hwloc_cudart_get_device_cpuset (hwloc_topology_t topology , int device, hwloc_cpuset_t set)
static inline hwloc_obj_t hwloc_cudart_get_device_pcidev (hwloc_topology_t topology, int device)

Detailed Description

Function Documentation

  static inline int hwloc_cudart_get_device_cpuset (hwloc_topology_t topology, intdevice, hwloc_cpuset_tset) [static]

Get the CPU set of logical processors that are physically close to device device. For the given CUDA Runtime API device device, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

Topology topology must match the current machine.

  static inline int hwloc_cudart_get_device_pci_ids (hwloc_topology_t topology, intdevice, int *domain, int *bus, int *dev) [static]

Return the domain, bus and device IDs of device device.

  static inline hwloc_obj_t hwloc_cudart_get_device_pcidev (hwloc_topology_ttopology, intdevice) [static]

Get the hwloc object for the PCI device corresponding to device device. For the given CUDA Runtime API device device, return the hwloc PCI object containing the device. Returns NULL if there is none.

IO devices detection must be enabled in topology topology.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.